## org.opencyc.constraintsolver
Class UnitTest

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--org.opencyc.constraintsolver.UnitTest

All Implemented Interfaces:
  junit.framework.Test

public class UnitTest
extends junit.framework.TestCase

Provides a suite of JUnit test cases for the `org.opencyc.constraintsolver` package.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Constructor Summary
`UnitTest(java.lang.String name)` Constructs a new UnitTest object.

Method Summary
`static void` `main(java.lang.String[] args)` Main method in case tracing is prefered over running JUnit GUI.
`static void` `runTests(boolean allTests)` Runs the unit tests
`void` `testArgumentTypeConstrainer()` Tests the `ArgumentTypeConstrainer` class.
`void` `testConstraintProblem1()` Tests the `ConstraintProblem` class.
`void` `testHelloWorld()` Tests the test harness itself.
`void` `testProblemParser()` Tests the `ProblemParser` class.
`void` `testRuleEvaluator()` Tests the `RuleEvaluator` class.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnitTest

    public UnitTest(java.lang.String name)

  Constructs a new UnitTest object.
  Parameters:
    `name` - the test case name.

Method Detail

### main

    public static void main(java.lang.String[] args)

  Main method in case tracing is prefered over running JUnit GUI.

### runTests

    public static void runTests(boolean allTests)

  Runs the unit tests

### testHelloWorld

    public void testHelloWorld()

  Tests the test harness itself.

### testProblemParser

    public void testProblemParser()

  Tests the `ProblemParser` class.

### testRuleEvaluator

    public void testRuleEvaluator()

  Tests the `RuleEvaluator` class.

### testArgumentTypeConstrainer

    public void testArgumentTypeConstrainer()

  Tests the `ArgumentTypeConstrainer` class.

### testConstraintProblem1

    public void testConstraintProblem1()

  Tests the `ConstraintProblem` class.